# Class: MoneroDaemonUpdateDownloadResult

## MoneroDaemonUpdateDownloadResult(is)

Models the result of downloading an update.

## Constructor

#### new MoneroDaemonUpdateDownloadResult(is)

Construct a download result.

##### Parameters:

Name | Type | Description
--- | --- | ---
`is` | MoneroDaemonUpdateCheckResult | an existing result to copy from

Source:
  - src/main/js/daemon/model/MoneroDaemonUpdateDownloadResult.js, line 6

### Methods

#### getDownloadPath() → {string}

Get the path the update was downloaded to.

Source:
  - src/main/js/daemon/model/MoneroDaemonUpdateDownloadResult.js, line 22

##### Returns:

is the path the update was downloaded to

Type
  string

#### setDownloadPath()

Source:
  - src/main/js/daemon/model/MoneroDaemonUpdateDownloadResult.js, line 26